Subject: Pine segfaults with a MIME attached HTML file

From: "Sean E. Millichamp" <[email-masked]>
Date: Tue, 4 Aug 1998 11:10:26 -0400 (EDT)

Hello,

I have just joined this list after exhausing my search for an official bug
report address for Pine.

First, some obligatory system info: Pine 4.02 running on RHL 5.1, all
updates applied, glibc 2.0.7, kernel 2.0.35.  Tried Pine from RPM, SRPM,
and from original tarball.

Yesterday a coworker of mine emailed me a MIME attached HTML file.  Upon
trying to read the mail that this file was attached to Pine exited with:

	Problem detected: "Received abort signal".
	Pine Exiting.

The email that I was trying to read was written and sent from Netscape
Communicator Professional 4.05.  The HTML file was exported from MS Word
97 and, as anyone who has ever seen MS Word-exported HTML knows, looks
absolutley hideous.  My feeling is that Pine is unable to deal with some
aspect of the MS Word HTML.  Even if that is the case though, I don't
think Pine should crash upon opening it.

I compiled Pine with the debug symbols and ran it in gdb.  Upon trying to
open the offending message gdb came up with the following:

(gdb) file ./pine
(gdb) run

[pine runs and I open the message]

Program received signal SIGSEGV, Segmentation fault.
0x80da2e2 in mail_view_screen (ps=0x8258618) at mailview.c:455         
455     for(hp = handles; !scroll_handle_selectable(hp); hp = hp->next)      

[garbage left on the screen from Pine removed]

I'm no gdb expert (first time I've used it, in fact) so I hope that's
enough information to be useful.

The HTML document was originally rather long but after a few hours of
trial and error I narrowed it down to just a handful of lines that still
cause Pine to crash.  I was going to UUENCODE the mail folder it was it
(it was moved to it's own) and attach it but I don't yet have permission
from my boss to release the edited-for-public-release version.  If anyone
wants to see the offending HTML let me know and I will try to make it
available (with the names and faces changed to protect the innocent <g>).

Any thoughts on this one?  Is this the right place to be reporting this?
I'd love to work with someone on this to get this problem fixed.

Thanks in advance.

Best,
Sean

------------------------------------------
 Sean E. Millichamp, Consultant
 Ingematics - A Division of Compu-Aid, Inc.

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------